##### windows::random_access_handle::random_access_handle (1 of 3 overloads)

Construct a `windows::random_access_handle` without opening it.

    random_access_handle(
        asio::io_context & io_context);

This constructor creates a random-access handle without opening it. The handle needs to be opened before data can be written to or read from it.

###### Parameters

io_context

  The `io_context` object that the random-access handle will use to dispatch handlers for any asynchronous operations performed on the handle.